<template>
  <avue-form v-model="TreeNewForm" :option="option" @submit="submit">
  </avue-form>

</template>

<script>
export default {
  name: "classifyTreeform.vue",
  props: ["TreeNewForm"],
  data() {
    return {
      form: {
        name: "哈哈",
        sex: "男"
      },
      option: {
        column: [
          {
            label: '姓名',
            prop: 'name',
            readonly: true,
            rules: [{
              required: true,
              message: "请输入姓名",
              trigger: "blur"
            }]
          }, {
            label: '性别',
            prop: 'sex',
            readonly: true,
            rules: [{
              required: true,
              message: "请输入性别",
              trigger: "blur"
            }]
          }
        ]
      },
      FormList: {}
    }
  },
  methods: {
    submit(form, done) {
      this.$message.success(JSON.stringify(form));
      done()
    },
    error(err) {
      this.$message.success('请查看控制台');
      console.log(err)
    }
  }
}
</script>

<style scoped>

</style>
